# UuidUtil class Null safety

## Constructors

UuidUtil()

## Properties

hashCode → int
  The hash code for this object. [...]
  read-only, inherited
runtimeType → Type
  A representation of the runtime type of the object.
  read-only, inherited

## Methods

noSuchMethod(Invocation invocation) → dynamic
  Invoked when a non-existent method or property is accessed. [...]
  inherited
toString() → String
  A string representation of this object. [...]
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator. [...]
  inherited

## Static Methods

cryptoRNG() → Uint8List
  Crypto-Strong RNG. All platforms, unknown speed, cryptographically strong (theoretically)
mathRNG({int seed = -1}) → Uint8List
  Math.Random()-based RNG. All platforms, fast, not cryptographically strong. Optional Seed passable.